FreeHandParserInternal::Shape Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
FreeHandParserInternal::Shape Struct Reference

small structure of FreeHandParserInternal used to stored a shape More...

## Public Types
enum | Type { Line , Rectangle , Ellipse , Path , BackgroundPicture , Picture , Group , JoinGroup , Unknown }
| the different type More...

## Public Member Functions
| Shape ()
| constructor
bool | updateShape (MWAWGraphicShape &shape) const
| try to returns a shape and position

## Public Attributes
int | m_id
| the zone id
Type | m_type
| the type
int | m_layerId
| the layer
int | m_lineId
| the line id
int | m_fillId
| the fill id
MWAWTransformation | m_transformation
| the transformation
MWAWBox2f | m_box
| the main box (for line, rectangle, ellipse)
MWAWVec2f | m_corner
| the corner size
std::vector< MWAWVec2f > | m_vertices
| the list of point for path: 3 Vec2f defining each point
bool | m_closed
| a flag to know if a path is closed
bool | m_evenOdd
| a flag to know how path intersection are defined
float | m_joinDistance
| the join distance
std::vector< int > | m_childs
| the list of child (for group and join group )
MWAWEntry | m_picture
| the picture entry
int | m_dataId
| the id of a the picture date
bool | m_isSent
| flag to known if a shape is sent

## Detailed Description

small structure of FreeHandParserInternal used to stored a shape

## Member Enumeration Documentation

## ◆ Type

enum FreeHandParserInternal::Shape::Type

the different type

Enumerator
Line |
Rectangle |
Ellipse |
Path |
BackgroundPicture |
Picture |
Group |
JoinGroup |
Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

FreeHandParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateShape()

bool FreeHandParserInternal::Shape::updateShape | ( | MWAWGraphicShape & | shape | ) | const
| inline

try to returns a shape and position

Referenced by FreeHandParser::sendShape().

## Member Data Documentation

## ◆ m_box

MWAWBox2f FreeHandParserInternal::Shape::m_box

the main box (for line, rectangle, ellipse)

Referenced by FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::sendPicture(), and updateShape().

## ◆ m_childs

std::vector<int> FreeHandParserInternal::Shape::m_childs

the list of child (for group and join group )

Referenced by FreeHandParser::readGroupV1(), FreeHandParser::readGroupV2(), FreeHandParser::readJoinGroup(), FreeHandParser::readShape(), FreeHandParser::readTransformGroup(), FreeHandParser::sendGroup(), and FreeHandParserInternal::State::updateGroupLayerId().

## ◆ m_closed

bool FreeHandParserInternal::Shape::m_closed

a flag to know if a path is closed

Referenced by FreeHandParser::readShape(), FreeHandParser::sendShape(), and updateShape().

## ◆ m_corner

MWAWVec2f FreeHandParserInternal::Shape::m_corner

the corner size

Referenced by FreeHandParser::readShape(), and updateShape().

## ◆ m_dataId

int FreeHandParserInternal::Shape::m_dataId

the id of a the picture date

Referenced by FreeHandParser::readPictureZone(), and FreeHandParser::sendPicture().

## ◆ m_evenOdd

bool FreeHandParserInternal::Shape::m_evenOdd

a flag to know how path intersection are defined

Referenced by FreeHandParser::readShape().

## ◆ m_fillId

int FreeHandParserInternal::Shape::m_fillId

the fill id

Referenced by FreeHandParser::readShape(), and FreeHandParser::sendShape().

## ◆ m_id

int FreeHandParserInternal::Shape::m_id

the zone id

Referenced by FreeHandParser::readGroupV1(), FreeHandParser::readGroupV2(), FreeHandParser::readJoinGroup(), FreeHandParser::readTransformGroup(), and FreeHandParser::sendGroup().

## ◆ m_isSent

bool FreeHandParserInternal::Shape::m_isSent
| mutable

flag to known if a shape is sent

## ◆ m_joinDistance

float FreeHandParserInternal::Shape::m_joinDistance

the join distance

Referenced by FreeHandParser::readJoinGroup().

## ◆ m_layerId

int FreeHandParserInternal::Shape::m_layerId

the layer

Referenced by FreeHandParser::readBackgroundPicture(), FreeHandParser::readJoinGroup(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readTransformGroup(), FreeHandParser::sendGroup(), and FreeHandParserInternal::State::updateGroupLayerId().

## ◆ m_lineId

int FreeHandParserInternal::Shape::m_lineId

the line id

Referenced by FreeHandParser::readShape(), and FreeHandParser::sendShape().

## ◆ m_picture

MWAWEntry FreeHandParserInternal::Shape::m_picture

the picture entry

Referenced by FreeHandParser::readBackgroundPicture(), and FreeHandParser::sendBackgroundPicture().

## ◆ m_transformation

MWAWTransformation FreeHandParserInternal::Shape::m_transformation

the transformation

Referenced by FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readTransformGroup(), FreeHandParser::sendGroup(), FreeHandParser::sendPicture(), and FreeHandParser::sendShape().

## ◆ m_type

Type FreeHandParserInternal::Shape::m_type

the type

Referenced by FreeHandParser::readBackgroundPicture(), FreeHandParser::readGroupV1(), FreeHandParser::readGroupV2(), FreeHandParser::readJoinGroup(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readTransformGroup(), FreeHandParser::sendShape(), FreeHandParserInternal::State::updateGroupLayerId(), and updateShape().

## ◆ m_vertices

std::vector<MWAWVec2f> FreeHandParserInternal::Shape::m_vertices

the list of point for path: 3 Vec2f defining each point

Referenced by FreeHandParser::readShape(), and updateShape().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx